linux-lts-trusty: 3.13.0-44.73~precise1 -proposed tracker

Bug #1402952 reported by Brad Figg on 2014-12-16
14
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Medium
Unassigned
Automated-testing
Medium
Canonical Kernel Team
Certification-testing
Medium
Canonical Hardware Certification
Prepare-package
Medium
Kamal Mostafa
Prepare-package-meta
Medium
Kamal Mostafa
Prepare-package-signed
Medium
Kamal Mostafa
Promote-to-proposed
Medium
Chris J Arges
Promote-to-security
Medium
Chris J Arges
Promote-to-updates
Medium
Chris J Arges
Regression-testing
Medium
Canonical Platform QA Team
Security-signoff
Medium
John Johansen
Verification-testing
Medium
Canonical Kernel Team
linux-lts-trusty (Ubuntu)
Medium
Unassigned
Precise
Medium
Unassigned

Bug Description

This bug is for tracking the 3.13.0-44.73~precise1 upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
kernel-stable-Prepare-package-start:Tuesday, 16. December 2014 07:06 UTC
kernel-stable-master-bug:1402872
kernel-stable-Prepare-package-end:Wednesday, 17. December 2014 07:02 UTC
kernel-stable-Promote-to-proposed-start:Wednesday, 17. December 2014 07:02 UTC
ppa-package-testing-start:Wednesday, 17. December 2014 07:02 UTC
kernel-stable-Promote-to-proposed-end:Wednesday, 17. December 2014 20:07 UTC
kernel-stable-Verification-testing-start:Wednesday, 17. December 2014 22:04 UTC
kernel-stable-Certification-testing-start:Wednesday, 17. December 2014 22:04 UTC
kernel-stable-Security-signoff-start:Wednesday, 17. December 2014 22:04 UTC
kernel-stable-Regression-testing-start:Wednesday, 17. December 2014 22:04 UTC
kernel-stable-Security-signoff-end:Thursday, 18. December 2014 14:01 UTC
kernel-stable-Certification-testing-end:Wednesday, 07. January 2015 16:01 UTC
kernel-stable-Regression-testing-end:Friday, 09. January 2015 16:07 UTC
kernel-stable-Promote-to-updates-start:Friday, 09. January 2015 16:19 UTC
kernel-stable-Promote-to-updates-end:Monday, 12. January 2015 17:49 UTC
kernel-stable-phase:Released
kernel-stable-phase-changed:Monday, 12. January 2015 19:04 UTC

Brad Figg (brad-figg) on 2014-12-16
tags: added: kernel-release-tracking-bug
tags: added: precise
Changed in kernel-sru-workflow:
status: New → In Progress
importance: Undecided → Medium
Changed in linux-lts-trusty (Ubuntu):
importance: Undecided → Medium
Changed in linux-lts-trusty (Ubuntu Precise):
importance: Undecided → Medium

All builds are complete, packages in this bug can be copied to -proposed.

description: updated
Chris J Arges (arges) wrote :

Promoted to Proposed:
 linux-lts-trusty | 3.13.0-44.73~precise1 | precise-proposed | source
 linux-meta-lts-trusty | 3.13.0.44.38 | precise-proposed | source
 linux-signed-lts-trusty | 3.13.0-44.73~precise1 | precise-proposed | source

Brad Figg (brad-figg) on 2014-12-17
description: updated
Brad Figg (brad-figg) on 2014-12-17
description: updated
John Johansen (jjohansen) wrote :

Looks good

Brad Figg (brad-figg) on 2014-12-18
description: updated
Adam Conrad (adconrad) on 2014-12-18
Changed in linux-lts-trusty (Ubuntu):
status: New → Invalid
Pali (pali) wrote :

Version of fsck.vfat which is in precise repository does not work this new linux kernel version. See reported bug: https://bugs.launchpad.net/ubuntu/+source/dosfstools/+bug/1322976

Please consider updating dosfstools (where is fsck.vfat) package or at least including needed patch.

Yung Shen (kaxing) wrote :

The Hardware Certification team have completed testing this -proposed kernel. No regressions were observed.
The report is available at: http://people.canonical.com/~hwcert/sru-testing/precise/3.13.0-44.73~precise1/precise-3.13-proposed.html

tags: added: certification-testing-passed
Brad Figg (brad-figg) on 2015-01-07
description: updated
Brad Figg (brad-figg) on 2015-01-09
tags: added: qa-testing-passed
description: updated
Brad Figg (brad-figg) on 2015-01-09
description: updated
Launchpad Janitor (janitor) wrote :
Download full text (10.8 KiB)

This bug was fixed in the package linux-lts-trusty - 3.13.0-44.73~precise1

---------------
linux-lts-trusty (3.13.0-44.73~precise1) precise; urgency=low

  [ Kamal Mostafa ]

  * Release Tracking Bug
    - LP: #1402952

  [ AceLan Kao ]

  * SAUCE: Add use_native_backlight quirk for HP ProBook 6570b
    - LP: #1359010

  [ Andy Whitcroft ]

  * Revert "SAUCE: (no-up) arm64: optimized copy_to_user and copy_from_user
    assembly code"
    - LP: #1398596
  * [Config] updateconfigs to balance CONFIG_SCOM_DEBUGFS

  [ Upstream Kernel Changes ]

  * iwlwifi: mvm: fix merge damage
    - LP: #1393317
  * iwlwifi: remove IWL_UCODE_TLV_FLAGS_SCHED_SCAN flag
    - LP: #1393317
  * iwlwifi: mvm: disable scheduled scan to prevent firmware crash
    - LP: #1393317
  * iwlwifi: mvm: enable scheduled scan on newest firmware
    - LP: #1393317
  * x86: kvm: use alternatives for VMCALL vs. VMMCALL if kernel text is
    read-only
    - LP: #1379340
  * phylib: introduce PHY_INTERFACE_MODE_XGMII for 10G PHY
    - LP: #1381084
  * of: make of_get_phy_mode parse 'phy-connection-type'
    - LP: #1381084
  * xen-netfront: Remove BUGs on paged skb data which crosses a page
    boundary
    - LP: #1275879
  * ACPI / blacklist: blacklist Win8 OSI for Dell Vostro 3546
    - LP: #1383589
  * powerpc/pseries: Fix endiannes issue in RTAS call from xmon
    - LP: #1396235
  * mmc: sdhci-pci-o2micro: Fix Dell E5440 issue
    - LP: #1346067
  * mfd: rtsx: Fix PM suspend for 5227 & 5249
    - LP: #1359052
  * drivers:scsi:storvsc: Fix a bug in handling ring buffer failures that
    may result in I/O freeze
    - LP: #1400289
  * arm64: optimized copy_to_user and copy_from_user assembly code
    - LP: #1400349
  * net:socket: set msg_namelen to 0 if msg_name is passed as NULL in
    msghdr struct from userland.
    - LP: #1335478
  * drm/radeon: initialize sadb to NULL in the audio code
    - LP: #1402714
  * powerpc/vphn: NUMA node code expects big-endian
    - LP: #1401150
  * ALSA: usb-audio: Fix device_del() sysfs warnings at disconnect
    - LP: #1402853
  * ALSA: hda - Add mute LED pin quirk for HP 15 touchsmart
    - LP: #1334950, #1402853
  * rcu: Make callers awaken grace-period kthread
    - LP: #1402853
  * rcu: Use rcu_gp_kthread_wake() to wake up grace period kthreads
    - LP: #1402853
  * net: sctp: fix NULL pointer dereference in af->from_addr_param on
    malformed packet
    - LP: #1402853
  * KVM: x86: Don't report guest userspace emulation error to userspace
    - LP: #1402853
  * [media] ttusb-dec: buffer overflow in ioctl
    - LP: #1402853
  * arm64: __clear_user: handle exceptions on strb
    - LP: #1402853
  * ARM: pxa: fix hang on startup with DEBUG_LL
    - LP: #1402853
  * samsung-laptop: Add broken-acpi-video quirk for NC210/NC110
    - LP: #1402853
  * acer-wmi: Add Aspire 5741 to video_vendor_dmi_table
    - LP: #1402853
  * acer-wmi: Add acpi_backlight=video quirk for the Acer KAV80
    - LP: #1402853
  * rbd: Fix error recovery in rbd_obj_read_sync()
    - LP: #1402853
  * [media] ds3000: fix LNB supply voltage on Tevii S480 on initialization
    - LP: #1402853
  * powerpc: do_notify_resume can be called with bad thread_info flags
    argument...

Changed in linux-lts-trusty (Ubuntu Precise):
status: New → Fix Released
Chris J Arges (arges) wrote :

Promoted to Updates:
 linux-lts-trusty | 3.13.0-44.73~precise1 | precise-security | source
 linux-lts-trusty | 3.13.0-44.73~precise1 | precise-updates | source
 linux-meta-lts-trusty | 3.13.0.44.38 | precise-security | source
 linux-meta-lts-trusty | 3.13.0.44.38 | precise-updates | source
 linux-signed-lts-trusty | 3.13.0-44.73~precise1 | precise-security | source
 linux-signed-lts-trusty | 3.13.0-44.73~precise1 | precise-updates | source

Brad Figg (brad-figg) on 2015-01-12
description: updated

The package has been published and the bug is being set to Fix Released

Changed in kernel-sru-workflow:
status: In Progress → Fix Released
description: updated
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers